input_unregister_device
Prev | Chapter 28. Input Subsystem | Next

## Name

input_unregister_device — unregister previously registered device

## Synopsis

`void input_unregister_device (` | struct input_dev * | dev`)`;

## Arguments

`dev`

  device to be unregistered

## Description

This function unregisters an input device. Once device is unregistered the caller should not try to access it as it may get freed at any moment.

Prev | Up | Next
input_register_device | Home | input_register_handler